> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Sends a verification code to guest.

> Emails a verification code to the given email address if the email address
>             matches with an existing guest. If the email does not match an existing guest,
>             a notice will be sent via email.

- Product: Guest verifications
- Section: Guest verification
- Snapshot: Current
- Method: `POST`
- Path: `/api/guest_verifications/send`

## Query parameters

### `reservation`

Type: `number`  
Required: yes  

### `organization`

Type: `number`  
Required: yes  

### `token`

Type: `string`  
Required: yes  

## Request body

Required: yes  
Content types: `application/json`  

### `email`

Type: `string`  
Required: yes  

### `type`

Type: `string`  
Required: no  
Allowed values: `checkout`, `accommodation`, `accommodation-overview`  

### `data`

Type: `object`  
Required: no  

#### `birthDate`

Type: `string`  
Required: no  

#### `membership`

Type: `string`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.guestVerifications.send({
  reservation: 0,
  organization: 0,
  token: "<token>",
  email: "<email>",
});
```

## Execute with curl

```bash
curl -X POST "https://app.recranet.com/api/guest_verifications/send" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "reservation=$RESERVATION" \
    --url-query "organization=$ORGANIZATION" \
    --url-query "token=$TOKEN" \
    -H 'Content-Type: application/json' \
    -d '{"email":"<email>"}'
```

## Responses

### Response `200`

Category: success  

Successful response

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

### Response `429`

Category: client-error  

Too many requests

#### `application/json`

##### Example

```json
{
  "statusCode": 429,
  "description": "Too many requests",
  "errors": [
    "Too many requests"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/guest-verifications/methods/send/)
- [TypeScript Markdown](/guest-verifications/methods/send.md?lang=typescript)
- [curl Markdown](/guest-verifications/methods/send.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/guest-verifications/llms.txt)
- [snapshot llms.txt](/guest-verifications/llms.txt)
